# Module cargo_test_support::paths

source ·

## Structs

- GLOBAL_ROOT 🔒
- TEST_ROOTS 🔒
- TestIdGuard

## Constants

- TEST_ID 🔒

## Statics

- CARGO_INTEGRATION_TEST_DIR 🔒

## Traits

- CargoPathExt

## Functions

- do_op 🔒
- get_lib_extension
- get_lib_filename
  Get the filename for a library.
- get_lib_prefix
- global_root
- global_root_legacy 🔒
  This is used when running cargo is pre-CARGO_TARGET_TMPDIR TODO: Remove when CARGO_TARGET_TMPDIR grows old enough.
- home
- init_root
- root
- set_global_root 🔒
- sysroot
  Returns the sysroot as queried from rustc.